package com.sckw.message.service;

import com.sckw.redis.constant.RedisConstant;

/**
 * @author xucaiqin
 * @date 2026-05-07 10:39:17
 */
public class SmsHelper {
    public static String getLockKey(String templateCode, String mobile) {
        return String.format(RedisConstant.MESSAGE_SMS_VERIFY_CODE_LOCK_KEY, templateCode, mobile);
    }
    public static String getVerifyKey(String templateCode, String mobile) {
        return String.format(RedisConstant.MESSAGE_SMS_VERIFY_CODE_REQUEST_KEY, templateCode, mobile);
    }
    public static String getVerifyValueKey(String bizType, String mobile) {
        return String.format(RedisConstant.MESSAGE_SMS_VERIFY_CODE_VALUE_KEY, bizType, mobile);
    }
}
